## org.apache.mahout.math.matrix.linalg
Class EigenvalueDecomposition

    java.lang.Object
      org.apache.mahout.math.matrix.linalg.EigenvalueDecomposition

All Implemented Interfaces:
  java.io.Serializable

Deprecated. until unit tests are in place. Until this time, this class/interface is unsupported.

    @Deprecated
    public class EigenvalueDecomposition

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`EigenvalueDecomposition(DoubleMatrix2D A)` Deprecated. Constructs and returns a new eigenvalue decomposition object; The decomposed matrices can be retrieved via instance methods of the returned decomposition object.

Method Summary
`DoubleMatrix2D` `getD()` Deprecated. Returns the block diagonal eigenvalue matrix, `D`.
`DoubleMatrix1D` `getImagEigenvalues()` Deprecated. Returns the imaginary parts of the eigenvalues.
`DoubleMatrix1D` `getRealEigenvalues()` Deprecated. Returns the real parts of the eigenvalues.
`DoubleMatrix2D` `getV()` Deprecated. Returns the eigenvector matrix, `V`
`java.lang.String` `toString()` Deprecated. Returns a String with (propertyName, propertyValue) pairs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EigenvalueDecomposition

    public EigenvalueDecomposition(DoubleMatrix2D A)

  Deprecated.
  Constructs and returns a new eigenvalue decomposition object; The decomposed matrices can be retrieved via instance methods of the returned decomposition object. Checks for symmetry, then constructs the eigenvalue decomposition.

  Parameters:
    `A` - A square matrix.
  Throws:
    `java.lang.IllegalArgumentException` - if `A` is not square.

Method Detail

### getD

    public DoubleMatrix2D getD()

  Deprecated.
  Returns the block diagonal eigenvalue matrix, `D`.

  Returns:
    `D`

### getImagEigenvalues

    public DoubleMatrix1D getImagEigenvalues()

  Deprecated.
  Returns the imaginary parts of the eigenvalues.

  Returns:
    imag(diag(D))

### getRealEigenvalues

    public DoubleMatrix1D getRealEigenvalues()

  Deprecated.
  Returns the real parts of the eigenvalues.

  Returns:
    real(diag(D))

### getV

    public DoubleMatrix2D getV()

  Deprecated.
  Returns the eigenvector matrix, `V`

  Returns:
    `V`

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a String with (propertyName, propertyValue) pairs. Useful for debugging or to quickly get the rough picture. For example,

       rank          : 3
       trace         : 0

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.